Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.managedBeans
Class DisksBean

    java.lang.Object
      vut.msa.managedBeans.DisksBean

    public class DisksBean

extends java.lang.Object

JavaBean pre informacie o diskoch.

Constructor Summary
`DisksBean()`

Method Summary
`void` | `activeBackupDrive(javax.faces.event.ActionEvent event)` Metoda sluzina vytvorenie adresara backup pre zalohy na zvolenom disku.
`void` | `deactivateBackupDrive(javax.faces.event.ActionEvent event)` Metoda zrusi pouzivanie ulozneho media pre ukladanie zaloh.
`java.util.List<FileSystemCompleteInfo>` | `getConnectedDisks()`
`org.hyperic.sigar.FileSystem` | `getSelectedFileSystem()`
`void` | `setConnectedDisks(java.util.List<FileSystemCompleteInfo> connectedDisks)`
`void` | `setSelectedFileSystem(org.hyperic.sigar.FileSystem selectedFileSystem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisksBean

    public DisksBean()

Method Detail

### getConnectedDisks

    public java.util.List<FileSystemCompleteInfo> getConnectedDisks()

### setConnectedDisks

    public void setConnectedDisks(java.util.List<FileSystemCompleteInfo> connectedDisks)

### getSelectedFileSystem

    public org.hyperic.sigar.FileSystem getSelectedFileSystem()

### setSelectedFileSystem

    public void setSelectedFileSystem(org.hyperic.sigar.FileSystem selectedFileSystem)

### activeBackupDrive

    public void activeBackupDrive(javax.faces.event.ActionEvent event)

  Metoda sluzina vytvorenie adresara backup pre zalohy na zvolenom disku. Tuto metodu vola uzivatelske rozhranie po stlaceni tlacidla. Metoda po vytvoreni adresara na disku, vytvory zaznam aj v databaze.

  Parameters:
    `event` - udalost stlacenia tlacidla na JSF stranke

### deactivateBackupDrive

    public void deactivateBackupDrive(javax.faces.event.ActionEvent event)

  Metoda zrusi pouzivanie ulozneho media pre ukladanie zaloh. V pripade, ze sa jednotka pouzivala, udaje su prekopirovane na iny disk. Vyberie sa ten, ktory je najmenej zaplneny. Ak nie je mozno udaje inam prekopirovat, metoda nevykona nic a chybu oznami uzivatelovi.

  Parameters:
    `event` - udalost stlacenia tlacidla pre deaktivaciu uloz. media

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD